[32/67] libxmlpp: libglib2 requires threads

Submitted by Spenser Gilliland on July 15, 2013, 7:47 p.m.

Details

Message ID 1373917670-30006-33-git-send-email-spenser@gillilanding.com
State Accepted
Headers show

Commit Message

Spenser Gilliland July 15, 2013, 7:47 p.m.
Signed-off-by: Spenser Gilliland <spenser@gillilanding.com>
---
 package/libxmlpp/Config.in | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

Patch hide | download patch | download mbox

diff --git a/package/libxmlpp/Config.in b/package/libxmlpp/Config.in
index cf29c2c..2448bfd 100644
--- a/package/libxmlpp/Config.in
+++ b/package/libxmlpp/Config.in
@@ -3,11 +3,13 @@  config BR2_PACKAGE_LIBXMLPP
 	select BR2_PACKAGE_LIBXML2
 	select BR2_PACKAGE_GLIBMM
 	depends on BR2_INSTALL_LIBSTDCPP
-	depends on BR2_USE_WCHAR
+	depends on BR2_USE_WCHAR # glibmm -> libglib2
+	depends on BR2_TOOLCHAIN_HAS_THREADS # glibmm -> libglib2
 	help
 	  libxml++ is a C++ wrapper for the libxml XML parser library.
 
 	  http://libxmlplusplus.sourceforge.net/
 
-comment "libxml++ requires a toolchain with C++ & WCHAR support enabled"
-	depends on !BR2_INSTALL_LIBSTDCPP || !BR2_USE_WCHAR
+comment "libxml++ requires a toolchain with C++, WCHAR and threading support"
+	depends on !BR2_INSTALL_LIBSTDCPP || !BR2_USE_WCHAR || \
+	!BR2_TOOLCHAIN_HAS_THREADS